=== modules/Makefile ===
src=$(shell ls *.c)
obj=$(basename $(src))
clean_files=$(obj) *.bak
ifeq (,$(CFLAGS))
CFLAGS=-g -Wall -pthread `gnome-config --cflags gnome gnomeui libglade glib`
endif

all: $(obj)

% : %.c
	$(CC) -fPIC -shared $(CFLAGS) $< -o $@

clean:
	rm -f $(clean_files)

.PHONY=all clean
