=== debian/control ===
Source: gnusound
Section: sound
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends: cdbs, autotools-dev, cdbs (>= 0.4.53), debhelper (>= 7.0.1), debhelper, libglade2-dev, libgnome2-dev, libgnomeui-dev, libpng12-dev, libaudiofile-dev, libsamplerate0-dev, libxml2-utils, xsltproc, docbook-xsl, docbook-xml, libsndfile1-dev (>= 1.0.4), libvorbis-dev, libavcodec-dev (>= 0.cvs20050811-2), libavformat-dev (>= 0.cvs20050811-2), libflac-dev (>= 1.1.2), libasound2-dev (>= 1.0.2), libjack-dev, libtheora-dev, pkg-config
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/gnusound/

Package: gnusound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: amb-plugins, blepvco, blop, caps, cmt, csladspa, fil-plugins, mcp-plugins, omins, rev-plugins, rubberband-ladspa, sooperlooper, swh-plugins, tap-plugins, vco-plugins
Description: multitrack sound editor for GNOME
 GNUsound is a sound editor for GNOME. It supports multiple tracks,
 multichannel output, and 8, 16, or 24/32 bit samples. It can read
 a number of audio formats, modify them, and saves them as WAV files.
 GNUsound supports a large number of high-quality audio effects,
 filters, and converters through the GLADSPA plugin architecture (band pass
 filter, frequency shifter, reverb, flanger, pitch scaler, pink noise,
 stereo to mono converter, and many others).
