=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/gnusound/ \
	gnusound-(.*).tar.bz2 \
        debian uupdate
